#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

xdriver=
for d in $(cat /proc/cmdline); do
  [ -z "${d##xdriver=*}" ] || continue
  echo "Configuring Xorg server using xdriver=$xdriver"
  xdriver="${d#xdriver=}"
done

# modern xorg doesn't need that much configuration
[ -n "$xdriver" ] || exit 0

XORG_CONF="/etc/X11/xorg.conf"
xorg_conf_setup $xdriver "$XORG_CONF"
